Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1144658 - Review Request: nodejs-pegjs - Parser generator for JavaScript
Summary: Review Request: nodejs-pegjs - Parser generator for JavaScript
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2014-09-20 07:08 UTC by Parag Nemade
Modified: 2014-11-30 19:18 UTC (History)
2 users (show)

Fixed In Version: nodejs-pegjs-0.8.0-2.2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-07 02:33:54 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-09-20 07:08:04 UTC
Spec URL: <spec info here>
SRPM URL: <srpm info here>
Description: <description here>
Fedora Account System Username:

Comment 1 Parag Nemade 2014-09-20 07:24:28 UTC
Spec URL: https://paragn.fedorapeople.org/fedora-work/SPECS/nodejs-pegjs.spec
SRPM URL: https://paragn.fedorapeople.org/fedora-work/SRPMS/nodejs-pegjs-0.8.0-1.fc21.src.rpm
Description: 
PEG.js is a simple parser generator for JavaScript that produces fast parsers
with excellent error reporting. You can use it to process complex data or
computer languages and build transformers, interpreters, compilers and
other tools easily.

Fedora Account System Username: pnemade

Comment 3 Tom Hughes 2014-10-22 18:47:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 11 files have unknown license. Detailed output of
     licensecheck in /home/tom/1144658-nodejs-pegjs/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-pegjs-0.8.0-1.fc22.noarch.rpm
          nodejs-pegjs-0.8.0-1.fc22.src.rpm
nodejs-pegjs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-pegjs.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
nodejs-pegjs.noarch: W: only-non-binary-in-usr-lib
nodejs-pegjs.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-pegjs.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-pegjs
nodejs-pegjs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-pegjs.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
nodejs-pegjs.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-pegjs (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-pegjs:
    nodejs-pegjs
    npm(pegjs)



Source checksums
----------------
http://registry.npmjs.org/pegjs/-/pegjs-0.8.0.tgz :
  CHECKSUM(SHA256) this package     : 640faefda94d33dd4756c580e008a569b80f6f7ba0d5ec6a9a8045603f901db9
  CHECKSUM(SHA256) upstream package : 640faefda94d33dd4756c580e008a569b80f6f7ba0d5ec6a9a8045603f901db9


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1144658
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Tom Hughes 2014-10-22 18:49:24 UTC
Couple of things...

First, you're not including the command line interface (bin/pegjs) in the package, so you might want to think about adding that.

Second, you may want to consider using github as the source so that you get the tests and can run them in %check.

Comment 6 Tom Hughes 2014-10-24 07:37:16 UTC
Well you do actually need to add "%tap test/*.js" to the %check before it will run the tests ;-) It turns out that they need npm(falafel) though, which isn't packaged yet, so you probably don't want to do that just yet. I was looking at packaging that for something else last night, so hopefully it will be available soon...

I confirmed by hand that they pass though, so that is good.

With that I think we can approve this one.

Comment 7 Parag Nemade 2014-10-24 08:52:09 UTC
Thank you Tom for the review. I will add it in %check as a comment.

New Package SCM Request
=======================
Package Name: nodejs-pegjs
Short Description:  Parser generator for JavaScript 
Upstream URL:  https://github.com/dmajda/pegjs
Owners: pnemade
Branches: f20 f21 epel7

Comment 8 Gwyn Ciesla 2014-10-24 11:53:22 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-10-24 16:17:45 UTC
nodejs-pegjs-0.8.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-pegjs-0.8.0-2.fc21

Comment 10 Fedora Update System 2014-10-24 16:29:32 UTC
nodejs-pegjs-0.8.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-pegjs-0.8.0-2.fc20

Comment 11 Fedora Update System 2014-10-27 08:16:02 UTC
nodejs-pegjs-0.8.0-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 12 Parag Nemade 2014-10-29 15:56:11 UTC
Package Change Request
======================
Package Name: nodejs-pegjs
New Branches: f19 el6
Owners: pnemade

Comment 13 Gwyn Ciesla 2014-10-29 16:13:17 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-10-29 17:08:36 UTC
nodejs-pegjs-0.8.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-pegjs-0.8.0-2.fc19

Comment 15 Fedora Update System 2014-10-29 17:19:33 UTC
nodejs-pegjs-0.8.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-pegjs-0.8.0-2.el6

Comment 16 Fedora Update System 2014-10-30 16:17:00 UTC
nodejs-pegjs-0.8.0-2.1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-pegjs-0.8.0-2.1.el6

Comment 17 Fedora Update System 2014-11-07 02:33:54 UTC
nodejs-pegjs-0.8.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2014-11-10 06:05:52 UTC
nodejs-pegjs-0.8.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2014-11-10 06:38:21 UTC
nodejs-pegjs-0.8.0-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 20 Fedora Update System 2014-11-12 15:45:18 UTC
nodejs-pegjs-0.8.0-2.2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-pegjs-0.8.0-2.2.el6

Comment 21 Fedora Update System 2014-11-30 19:18:51 UTC
nodejs-pegjs-0.8.0-2.2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.